Bug 240140 - If I press Move Here while attempting to Drag and drop of a file, I receive an error "The file or folder xxx does not exist"
Summary: If I press Move Here while attempting to Drag and drop of a file, I receive a...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-Drag&Drop (show other bugs)
Version: 1.1.0
Platform: Microsoft Windows Microsoft Windows
: NOR major (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-30 21:40 UTC by dicusar
Modified: 2017-08-01 12:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dicusar 2010-05-30 21:40:50 UTC
Version:           unspecified (using KDE 4.3.4) 
OS:                MS Windows

I tried to drag and drop a file from one of my directories to digikam space for
files. I am asked if I want to move the file, to copy the file, or cancel. If I
press Move Here, an error appears with the text "The file or folder xxx does not exist", but the file is moved (it is deleted from the original directory and paste to the targeted one, but it is corrupt and the data it contains is lost)

Reproducible: Always

Steps to Reproduce:
drag and drop file on digikam space where files are listed, press Move Here in the
menu


Actual Results:  
"The file or folder xxx does not exist", but the file is moved (it is deleted from the original directory and paste to the targeted one, but it is corrupt and the data it contains is lost)

Expected Results:  
The file should be moved safely
Comment 1 caulier.gilles 2010-05-31 11:04:57 UTC
Which digiKam version you use ?

I think it's fixed in 1.2.0

Gilles Caulier
Comment 2 caulier.gilles 2010-11-24 09:09:25 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 3 caulier.gilles 2011-07-06 11:20:48 UTC
We need feedback using a recent version. 2.0.0 RC is out for windows, please test...

Thanks in advance

Gilles Caulier
Comment 4 caulier.gilles 2015-07-03 05:59:16 UTC
New digiKam 4.11.0 is available.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 5 caulier.gilles 2015-07-06 07:39:00 UTC
digiKam 4.11.0 Windows installer is available for download :

http://download.kde.org/stable/digikam/digiKam-installer-4.11.0-win32.exe.mirrorlist
Comment 6 caulier.gilles 2016-05-28 18:23:14 UTC
With next digiKam 5.0.0, we will provide a fully cross-compiled version Windows under Linux where a lots of problems have been fixed.

https://www.flickr.com/photos/digikam/27033685570/in/dateposted-public/

The Windows installer is available here to test :

https://drive.google.com/open?id=0B7yq-xFihT0_SzhxVzF1RDhPbFE

Gilles Caulier